// Copyright (c) 2025 Codemongous LLC. All Rights Reserved.

#include "SCW_UMovieSceneSignedObject.h"
#include "MovieSceneSignedObject.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UMovieSceneSignedObject::SCW_UMovieSceneSignedObject(UMovieSceneSignedObject* InMovieSceneSignedObject) : SCW_UObject(InMovieSceneSignedObject), MovieSceneSignedObject(InMovieSceneSignedObject)
{

}

UMovieSceneSignedObject* SCW_UMovieSceneSignedObject::ToUMovieSceneSignedObject() const
{
	return MovieSceneSignedObject;
}

ISCW_UMovieSceneSignedObjectPtr SCW_UMovieSceneSignedObject::ToUMovieSceneSignedObjectPtr()
{
	return GetSharedThisAs<SCW_UMovieSceneSignedObject>();
}

ISCW_UMovieSceneSignedObjectConstPtr SCW_UMovieSceneSignedObject::ToUMovieSceneSignedObjectPtr() const
{
	return GetSharedThisAs<SCW_UMovieSceneSignedObject>();
}